metadata:
  name: lt-qcom-plan-linux
  description: Test plan for Linux
  os: openembedded
  devices:
    - db410c
  maintainer:
    - nicolas.dechesne@linaro.org
  format: Linaro QCOM LT Test Plan for Linux

requirements:
  - name:
    tests:
      automated:
        - path: automated/linux/dd-wr-speed/dd-wr-speed.yaml
          repository: https://git.linaro.org/qa/test-definitions.git
          timeout: 1200
        - path: automated/linux/sysbench/sysbench.yaml
          repository: https://git.linaro.org/qa/test-definitions.git
          timeout: 1200
          params:
            NUM_THREADS: 4
            TESTS: cpu memory threads mutex
        - path: automated/linux/blogbench/blogbench.yaml
          repository: https://git.linaro.org/qa/test-definitions.git
          timeout: 1200
        - path: automated/linux/device-tree/device-tree.yaml
          repository: https://git.linaro.org/qa/test-definitions.git
          timeout: 1200
        - path: automated/linux/device-read-perf/device-read-perf.yaml
          repository: https://git.linaro.org/qa/test-definitions.git
          timeout: 1200
        - path: automated/linux/smoke/smoke.yaml
          repository: https://git.linaro.org/qa/test-definitions.git
          timeout: 1200
        - path: automated/linux/usb-smoke/usb-smoke-test.yaml
          repository: https://git.linaro.org/qa/test-definitions.git
          timeout: 1200
        - path: automated/linux/hackbench/hackbench.yaml
          repository: https://git.linaro.org/qa/test-definitions.git
          timeout: 1200
        - path: automated/linux/linpack/linpack.yaml
          repository: https://git.linaro.org/qa/test-definitions.git
          timeout: 1200
        - path: automated/linux/openssl/openssl-speed.yaml
          repository: https://git.linaro.org/qa/test-definitions.git
          timeout: 1200
        - path: automated/linux/stream/stream-uniprocessor.yaml
          repository: https://git.linaro.org/qa/test-definitions.git
          timeout: 1200
        - path: automated/linux/toolchain-smoke/toolchain-smoke.yaml
          repository: https://git.linaro.org/qa/test-definitions.git
          timeout: 1200
        - path: automated/linux/pi-stress/pi-stress.yaml
          repository: https://git.linaro.org/qa/test-definitions.git
          timeout: 1200
